<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <!-- API User for Products -->
        <record id="api_user_products" model="res.users">
            <field name="name">Products API User</field>
            <field name="login">products_api</field>
            <field name="password">products_api_pass</field>
            <field name="groups_id" eval="[(4, ref('fastapi.group_fastapi_endpoint_runner')), (4, ref('base.group_user')), (4, ref('products.group_products_manager'))]"/>
        </record>

        <!-- FastAPI Endpoint for Products -->
        <record id="fastapi_endpoint_products" model="fastapi.endpoint">
            <field name="name">Products API</field>
            <field name="app">products</field>
            <field name="root_path">/fastapi/products</field>
            <field name="user_id" ref="api_user_products"/>
            <field name="active">True</field>
        </record>
    </data>
</odoo>